import Container from './Container';
import IContextualBindingBuilder from '../Contracts/Container/IContextualBindingBuilder';
declare class ContextualBindingBuilder implements IContextualBindingBuilder {
    protected _container: Container;
    protected _concrete: any;
    protected _needs?: string;
    constructor(container: Container, concrete: any);
    needs(abstract: string): ContextualBindingBuilder;
    give<T>(implementation: T | Function): void;
}
export default ContextualBindingBuilder;
