import AbstractClassAnalyser from '../AbstractClassAnalyser';
import IClassAnalyser from '../../../Contracts/Parsing/IClassAnalyser';
import IFunctionAnalyser from '../../../Contracts/Parsing/IFunctionAnalyser';
declare class ClassAnalyser extends AbstractClassAnalyser implements IClassAnalyser {
    private _ast;
    private _constructorAnalyser?;
    private _methodAnalysers;
    constructor(ast: any);
    hasConstructor(): boolean;
    getConstructorAnalyser(target: any): IFunctionAnalyser | undefined;
    getMethodAnalyser(target: any, name: string): IFunctionAnalyser | undefined;
    private _initialiseConstructorAnalyser;
    private _findConstructor;
    private _initialiseMethodAnalyser;
}
export default ClassAnalyser;
