declare class Arr {
    static accessible(value: any): boolean;
    static add(obj: object, key: string, value: any): object;
    static collapse(array: unknown[] | object): unknown[] | object;
    static crossJoin(...arrays: any[]): unknown[][];
    static divide(array: unknown[] | object): unknown[];
    static dot(obj: object, prepend?: string): object;
    static except(obj: object, keys: string[] | string): object;
    static exists(array: unknown[] | object, key: number | string): boolean;
    static first(array: unknown[], callback?: Function, dflt?: unknown): unknown;
    static last(array: unknown[], callback?: Function, dflt?: unknown): any;
    static flatten(array: unknown[], depth?: number): unknown[];
    static forget(obj: object, keys: string[] | string): void;
    static get(obj: object, key?: string, dflt?: unknown): unknown;
    static empty(array: unknown[] | object): boolean;
    static has(obj?: object, keys?: string[] | string): boolean;
    static only(obj: object, keys: unknown[] | string): object;
    static pluck(array: object[], value: string | string[] | null, key?: string | string[]): unknown[] | object;
    static prepend(array: unknown[] | object, value: unknown, key?: string): unknown[] | object;
    static pull(obj: object, key: string, dflt?: unknown): unknown;
    static random(array: unknown[], number?: number): any;
    static set(obj: object, key: string | null, value: unknown): object | unknown;
    static shuffle(array: unknown[], seed?: string): unknown[];
    static wrap(value: unknown): any[];
    private static _shuffle;
    private static _explodePluckParameters;
    private static _collapseArray;
    private static _collapseObject;
}
export default Arr;
