import IReflectionFunction from '../Contracts/Reflection/IReflectionFunction';
import ParameterDescriptor from '../Descriptors/ParameterDescriptor';
import ReflectionParameter from './ReflectionParameter';
declare abstract class AbstractReflectionFunction implements IReflectionFunction {
    protected _target: any;
    protected _name?: string;
    constructor(target: any, name?: string);
    getName(): string | undefined;
    getParameters(types?: ParameterDescriptor[]): ReflectionParameter[];
}
export default AbstractReflectionFunction;
